<?php
namespace Pinpoint\BannerManager\Ui\Component\Listing\DataProviders\Pinpoint\Bannermanager;

/**
 * Class BannerList
 * @package Pinpoint\BannerManager\Ui\Component\Listing\DataProviders\Pinpoint\Bannermanager
 */
class BannerList extends \Magento\Ui\DataProvider\AbstractDataProvider
{
    /**
     * BannerList constructor.
     * @param string $name
     * @param string $primaryFieldName
     * @param string $requestFieldName
     * @param \Pinpoint\BannerManager\Model\ResourceModel\Banner\CollectionFactory $collectionFactory
     * @param array $meta
     * @param array $data
     */
    public function __construct(
        $name,
        $primaryFieldName,
        $requestFieldName,
        \Pinpoint\BannerManager\Model\ResourceModel\Banner\CollectionFactory $collectionFactory,
        array $meta = [],
        array $data = []
    ) {
        parent::__construct($name, $primaryFieldName, $requestFieldName, $meta, $data);
        $this->collection = $collectionFactory->create();
    }

}
